6.0.0-git
2021-01-24

[#6362] Group LDAP backend returns error for "Empty result"
Summary Group LDAP backend returns error for "Empty result"
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester asmarre (at) ull (dot) es
Created 2008-03-03 (4710 days ago)
Due
Updated 2008-11-16 (4452 days ago)
Assigned
Resolved 2008-11-16 (4452 days ago)
Milestone
Patch No

History
2008-11-16 22:24:42 Chuck Hagenbuch State ⇒ Resolved
 
2008-11-05 19:46:06 Chuck Hagenbuch Comment #4
State ⇒ Feedback
Reply to this comment
The original ticket was about getGroupMemberships, and that function 
is patched. Where are you seeing an issue?
2008-11-05 13:37:46 kris (at) kayell (dot) com Comment #3 Reply to this comment
This isn't showing up in version 3.3. I had to apply the patch to this 
version to get rid of that message.

[Show Quoted Text - 10 lines]
2008-03-04 20:58:02 Chuck Hagenbuch Comment #2
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Makes sense - committed, thanks.
2008-03-03 13:53:13 asmarre (at) ull (dot) es Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Group LDAP backend returns error for "Empty result"
Queue ⇒ Horde Framework Packages
New Attachment: group_ldap_empty_result_ok.diff Download
Reply to this comment
The function getGroupMemberships of the Horde/Group/ldap.php returns 
an error where the result of a query is empty. I'm not sure if this 
behaviour is correct, I manage a LDAP where the majority of the users 
don't are members of a group (but have a primaryGroup attribute in 
their user entry).



I suggest to return array(); instead of the error.



I attach a patch for the version 1.18.2.2 of the file (I hope it will 
be ok for newer versions).

Saved Queries